//
//  GSTimeSlice.h
//  Tidsforbruk
//
//  Created by gerhardsletten on Fri Feb 04 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "timeUtility.h"


@interface GSTimeSlice : NSObject <NSCoding> {
	NSString *title;
	NSDate *startDate;
	NSString *notes;
	NSString *timeString;
	int seconds;
	NSNumber *recording;
}
- (GSTimeSlice *)init;

// Accessor Methods
- (NSString *)title;
- (void)setTitle: (NSString *)str;

- (NSDate *)startDate;
- (void)setStartDate: (NSDate *)str;

- (NSString *)notes;
- (void)setNotes: (NSString *)str;

- (NSString *)timeString;
- (void)setTimeString: (NSString *)str;

- (int)seconds;
- (void)setSeconds: (int)num;

- (NSNumber *)recording;
- (void)setRecording:(NSNumber *)newValue;

- (NSString *) export;

/* Protocolo NSCoding */ 
- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;

@end
